Go to the latest version of this document.

# ``twisted`.`protocols`.`ident`.`ProcServerMixin``

class documentation

`class ProcServerMixin: (source)`

View In Hierarchy

Implements lookup() to grab entries for responses from /proc/net/tcp

Method | `dottedQuadFromHexString` | Undocumented
Method | `entries` | Undocumented
Method | `getUsername` | Undocumented
Method | `lookup` | Undocumented
Method | `parseLine` | Undocumented
Method | `unpackAddress` | Undocumented
Constant | `SYSTEM_NAME` | Undocumented

def dottedQuadFromHexString(self, hexstr): (source)

Undocumented

def entries(self): (source)

Undocumented

def getUsername(self, uid, getpwuid=getpwuid): (source)

Undocumented

def lookup(self, serverAddress, clientAddress): (source)

Undocumented

def parseLine(self, line): (source)

Undocumented

def unpackAddress(self, packed): (source)

Undocumented

SYSTEM_NAME: `str` = (source)

Undocumented

Value

    'LINUX'